﻿// <copyright file="TranslationKeys.cs" company="dymanoid">
// Copyright (c) dymanoid. All rights reserved.
// </copyright>

namespace RealTime.Localization
{
    /// <summary>
    /// A class containing constant string values that describe keys of the strings to be translated in various languages.
    /// </summary>
    internal static class TranslationKeys
    {
        /// <summary>The tool tip string.</summary>
        public const string Tooltip = "Tooltip";

        /// <summary>The warning key.</summary>
        public const string Warning = "Warning";

        /// <summary>The key for a 'mod not working' message.</summary>
        public const string ModNotWorkingMessage = "ModNotWorkingMessage";

        /// <summary>The key for a 'incompatible mods found' message.</summary>
        public const string IncompatibleModsFoundMessage = "IncompatibleModsFoundMessage";

        /// <summary>The key for the abbreviated 'minutes' text.</summary>
        public const string Minutes = "Minutes";
    }
}
